- job:
    name: tcwg-lnt-report-check_gcc
    project-type: freestyle
    defaults: global
    properties:
        - authorization:
            anonymous:
                - job-read
                - job-extended-read
            everyone-flat:
                - job-build
                - job-cancel
        - build-discarder:
            days-to-keep: 30
            num-to-keep: 30
    disabled: false
    node: tcwg-coordinator
    display-name: 'TCWG Submit LNT reports for gcc_check results'
    concurrent: false
    triggers:
      - timed: '@daily'
    wrappers:
      - timestamps
    builders:
        - shell: |
            #!/usr/bin/env bash
            set -ex

            [ -d "scripts" ] \
              || git clone https://git.linaro.org/people/antoine.moynault/scripts.git

            (
              cd scripts
              git fetch origin master
              git checkout FETCH_HEAD
            )

            ./scripts/lnt-gcc_check-report.sh
